Package org.eclipse.rap.rwt.osgi

# Interface ApplicationLauncher

public interface ApplicationLauncher
A launcher for RWT applications in the OSGi environment. An instance of this interface will be available at runtime as an OSGi service.

Instead of using the ApplicationLauncher directly, an `ApplicationConfiguration` can be provided as a service. For every available application configuration, the RWT OSGi integration bundle will automatically start an application at an available HTTPService.

Since:
  1.5

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_CONTEXT_NAME`
The name of a service property for an `ApplicationConfiguration` service to define a context name for the application.

## Method Summary

Modifier and Type
Method
Description
`ApplicationReference`
`launch(ApplicationConfiguration configuration, HttpService httpService, HttpContext httpContext, String contextName, String contextDirectory)`
Launches an application with the given configuration at the given HTTPService.

## Field Details

### PROPERTY_CONTEXT_NAME

static final String PROPERTY_CONTEXT_NAME
The name of a service property for an `ApplicationConfiguration` service to define a context name for the application. For example, when an ApplicationConfiguration is registered as a service with a property `contextName` set to `example`, its entrypoints will be available at `http://host/example/entrypointName`.

For declarative services, add this element to the component declaration:

     <property name="contextName" type="String" value="example"/>

See Also:
  - Constant Field Values

## Method Details

### launch

ApplicationReference launch(ApplicationConfiguration configuration, HttpService httpService, HttpContext httpContext, String contextName, String contextDirectory)
Launches an application with the given configuration at the given HTTPService.

Parameters:
  `configuration` - the configuration of the application to start
  `httpService` - the http service to start the application at
  `httpContext` - the http context to use, or `null` to use the default context
  `contextName` - the context name of the application, defines the first URL path segment to the application
  `contextDirectory` - the name of a directory to store static web resources
Returns:
  a reference to the application started
Since:
  2.0